Subject: Re: [arch-d] [hrpc] New Version Notification for draft-iab-for-the-users-01.txt

From: Eliot Lear <[email-masked]>
Date: Fri, 13 Dec 2019 09:39:10 +0100

Hi Ted, Vittorio, and others,

I am attempting to consolidate this thread with any discussion that might take place on architecture-discuss (thus the CC), in large part because this isn’t simply related to human rights, as we generally think of them.  I apologize for the length of this note.

&TLDR; the draft needs to go a little slower on recommendations, and should focus more on raising the issues for discussion within our community, which are complex, as I will get into below.

Mark and the IAB have taken on a very difficult task, which is to establish some sort of priority for end users.  The dialog in the draft has shifted over time, and it is often difficult to understand precisely what the practical implications of the recommendations are intended to be.  In the latest revision, Section 4 is expanded to really delve into the nature of harm, and how we should consider harm.  But there are few examples, leading to a point where it is difficult to understand the implications of what is being said.  I do like the economic incentive discussion, but I’m not sure whether it is broadly applicable.  That should get developed a bit more.

It concerns me that Paul Wouters can take from this document that somehow enterprises do not address end user interests.  The example I always give is that of a business who has a regulatory requirement to avoid leaking PII.  There are all sorts of toolsets that MITM communications in order to protect the privacy of account holders.  I think it would be useful for the draft to address this example as a bit of a case study.  One can reasonably argue that an explicit proxy mechanism on at least one side of a communication provides for this, but it begins to encroach on the so-called “end-to-end” views (I put that in quotes because the end-to-end model is often misused in these sorts of discussions).

I really like the comparison between the web and IoT.  I would go further: some of the very same technology that is used to protect users on the web may in fact be harmful to users when employed by IoT.  I’ll expand on this below.

The most difficult part of the draft remains who gets to decide what is in the interest of end users.  IMHO whether it’s governments, NGOs, or whoever, there is no way anyone can claim that mantel.  The best we have is rough consensus and running code, guided by whatever input participants bring to the table.

I would suggest that the IAB go a bit slower with recommendations, and focus more on discussion, which is quite valuable.  It’s okay not to have all the answers, but it may be just a bit too early to make strong recommendation to the IETF because we do not yet see the whole board.  I could definitely see this document being revised in an almost bi-annual basis, given how fast the state of the art is moving.

Please see below for more:

> On 11 Dec 2019, at 18:03, Ted Lemon <[email-masked]> wrote:
> 
> 
> So e.g. if we were to abandon the end-to-end principle, or advocate blocking protocols by default, that would be against the user’s interests.   If we were to advocate censorship, that would be against the users’ interests.   This is clear, because an act of censorship necessarily implies that something the user wanted to do, the user can’t do.   That’s acting against the user’s interests.

As we apply these principles, one person’s censorship is another person’s privacy control, as I discussed above and will again below, depending on how specific mechanisms are deployed.

> Another example of the user’s interest is the user’s interest in privacy.  You will not find a user out there who doesn’t care about their own privacy.

Professor Serge Egelman at ICSI has delved deeply into this, and what he has found is that people are easily willing to trade off privacy for convenience, and we know this to be the case with the Amazon Echo.  But they are quite a bit more reticent when they learn that most processing goes on in the cloud, or that other people are listening, or when it is their children or guests that are being recorded. .  This has ramifications for the IETF in as much as our mechanisms are used to enable end-to-end communication between Amazon and the home.  OTOH, exactly how much information a service keeps once they have it is not something this organization can impact.

Complicating matters, privacy cannot be the only concern.  Let’s say that a law was passed that required some local processing to address privacy concerns.  No matter how you slice it, that harms the environment, requiring more power usage, more memory, and more CPU, that eventually generates more e-Waste.  If you missed that, it’s an argument in favor of end-to-end encryption, but against privacy protections in our protocol suite.

Looking at an industrial IOT example, the user may not be typing on the interface that controls electrical power or manages a dam, but this may have far more impact to individuals than their information being captured by hackers.  How does auditing occur when we cannot reasonably trust that an end device is secure?  The draft seems to recognize this challenge, but I’m not sure that’s reflected in recommendations.  And to just add fuel to the dumpster fire, there is plenty of PII mixed in at certain points in some industrial environments.

Given the above examples, one could reasonably argue that we should be developing 3rd party authorization models for encryption to protect both safety and privacy.  But if we do so, would that cause more harm than good when dealing with bad actor governments?  I can’t answer that, and anyone who can is demonstrating hubris.  The draft can be misinterpreted, I think, to say, “if one person benefits and another person is harmed, then do nothing”.  Lives are put at risk either way, and while looking at the whole board is hard, we have a responsibility to do so to produce least harm, assuming we are well suited to even make a call.

> You may find users who would like to violate other user’s [sic] privacy,

I hope you will be pleased to learn that at least some research (not just Egelman’s) shows that people generally don’t like doing this, and in fact they won’t sell off other people’s information.  On the other hand, you and I have a mutual friend who got royally miffed when I drop shipped to him a gift off of the web.  That showed my ignorance at the time that there was even a privacy concern to be had.  And so it is not a matter of liking or not liking but understanding when that violation is occurring.  Your point about transparency is very apt, although the use of “online service provider” can be ambiguously interpreted: when we got into this, people in this organization viewed telcos as a big threat.  The world has really changed since then, no?

Eliot

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Fri, 13 Dec 2019 20:19:49 +0700

Dear Eliot,
architecture-discuss &
others ([email-masked] & Ted),

Would it be about "User-Focused System" (sec. 4.2) or "Positive User
Outcomes" (sec. 4.3)...?

It comes to mind that Internet is about human experiences with such
communication platform enabled by networks of computers: men learn and
learn on what they do: experiences are about things interesting, about
creativities --and thus evolutions, innovations of technologies supporting.
There are networks of interests/intentions of users' & architects' being
impulses of evolutions...

It was examplified by IETF's concerns on evolution ( among others mentioned
in Mark' reference for the draft: RFC 3724 on "evolution"); another is how
the Web's inventor T. Berners-Lee contemplated  its "evolvability" (
https://www.w3.org/DesignIssues/Evolution.html).

Citing a paragraph I sent to [email-masked] with an emphasis on
networks of interests of users' and architects':

"For the Internet and the Web, thus networks of computer-based
communications and informations --at least considering the Web goals of
interoperbility and evolvability/evolution if they are still so while if it
has not been changed evolution is a main concern of Internet engineers--,
there would supposedly be networks of applications supported by languages:
and there would also be those of intentions/interests of users' and
architects'... Is'nt it so..."?

Few other paragraphs of the post could be seen at
https://lists.w3.org/Archives/Public/public-xformsusers/2019Dec/0018.html

Regard,
Guntur Wiseno Putra

Pada Jumat, 13 Desember 2019, Eliot Lear <[email-masked]> menulis:

> I am attempting to consolidate this thread with any discussion that might
> take place on architecture-discuss (thus the CC), in large part because
> this isn’t simply related to human rights, as we generally think of them.
> I apologize for the length of this note.
>
> &TLDR; the draft needs to go a little slower on recommendations, and
> should focus more on raising the issues for discussion within our
> community, which are complex, as I will get into below.
>
> Mark and the IAB have taken on a very difficult task, which is to
> establish some sort of priority for end users.  The dialog in the draft has
> shifted over time, and it is often difficult to understand precisely what
> the practical implications of the recommendations are intended to be.  In
> the latest revision, Section 4 is expanded to really delve into the nature
> of harm, and how we should consider harm.  But there are few examples,
> leading to a point where it is difficult to understand the implications of
> what is being said.  I do like the economic incentive discussion, but I’m
> not sure whether it is broadly applicable.  That should get developed a bit
> more.
>
> It concerns me that Paul Wouters can take from this document that somehow
> enterprises do not address end user interests.  The example I always give
> is that of a business who has a regulatory requirement to avoid leaking
> PII.  There are all sorts of toolsets that MITM communications in order to
> *protect* the privacy of account holders.  I think it would be useful for
> the draft to address this example as a bit of a case study.  One can
> reasonably argue that an explicit proxy mechanism on at least one side of a
> communication provides for this, but it begins to encroach on the so-called
> “end-to-end” views (I put that in quotes because the end-to-end model is
> often misused in these sorts of discussions).
>
> I really like the comparison between the web and IoT.  I would go further:
> some of the very same technology that is used to protect users on the web
> may in fact be harmful to users when employed by IoT.  I’ll expand on this
> below.
>
> The most difficult part of the draft remains who gets to decide what is in
> the interest of end users.  IMHO whether it’s governments, NGOs, or
> whoever, there is no way anyone can claim that mantel.  The best we have is
> rough consensus and running code, guided by whatever input participants
> bring to the table.
>
> I would suggest that the IAB go a bit slower with recommendations, and
> focus more on discussion, which is quite valuable.  It’s okay not to have
> all the answers, but it may be just a bit too early to make strong
> recommendation to the IETF because we do not yet see the whole board.  I
> could definitely see this document being revised in an almost bi-annual
> basis, given how fast the state of the art is moving.
>
> So e.g. if we were to abandon the end-to-end principle, or advocate
> blocking protocols by default, that would be against the user’s interests.
>   If we were to advocate censorship, that would be against the users’
> interests.   This is clear, because an act of censorship necessarily
> implies that something the user wanted to do, the user can’t do.   That’s
> acting against the user’s interests.
>
>
> As we apply these principles, one person’s censorship is another person’s
> privacy control, as I discussed above and will again below, depending on
> how specific mechanisms are deployed.
>
> Another example of the user’s interest is the user’s interest in privacy.
> You will not find a user out there who doesn’t care about their own
> privacy.
>
>
> Professor Serge Egelman at ICSI has delved deeply into this, and what he
> has found is that people are easily willing to trade off privacy for
> convenience, and we know this to be the case with the Amazon Echo.  But
> they are quite a bit more reticent when they learn that most processing
> goes on in the cloud, or that other people are listening, or when it is
> their children or guests that are being recorded. .  This has ramifications
> for the IETF in as much as our mechanisms are used to enable end-to-end
> communication between Amazon and the home.  OTOH, exactly how much
> information a service keeps once they have it is not something this
> organization can impact.
>
> Complicating matters, privacy cannot be the only concern.  Let’s say that
> a law was passed that required some local processing to address privacy
> concerns.  No matter how you slice it, that harms the environment,
> requiring more power usage, more memory, and more CPU, that eventually
> generates more e-Waste.  If you missed that, it’s an argument in favor of
> end-to-end encryption, but against privacy protections in our protocol
> suite.
>
> Looking at an industrial IOT example, the user may not be typing on the
> interface that controls electrical power or manages a dam, but this may
> have far more impact to individuals than their information being captured
> by hackers.  How does auditing occur when we cannot reasonably trust that
> an end device is secure?  The draft seems to recognize this challenge,
> but I’m not sure that’s reflected in recommendations.  And to just add fuel
> to the dumpster fire, there is plenty of PII mixed in at certain points in
> some industrial environments.
>
> Given the above examples, one could reasonably argue that we should be
> developing 3rd party authorization models for encryption to protect both
> safety and privacy.  But if we do so, would that cause more harm than good
> when dealing with bad actor governments?  I can’t answer that, and anyone
> who can is demonstrating hubris.  The draft can be misinterpreted, I think,
> to say, “if one person benefits and another person is harmed, then do
> nothing”.  Lives are put at risk either way, and while looking at the whole
> board is hard, we have a responsibility to do so to produce least harm,
> assuming we are well suited to even make a call.
>
> I hope you will be pleased to learn that at least some research (not just
> Egelman’s) shows that people generally don’t like doing this, and in fact
> they won’t sell off other people’s information.  On the other hand, you and
> I have a mutual friend who got royally miffed when I drop shipped to him a
> gift off of the web.  That showed my ignorance at the time that there was
> even a privacy concern to be had.  And so it is not a matter of liking or
> not liking but understanding when that violation is occurring.  Your point
> about transparency is very apt, although the use of “online service
> provider” can be ambiguously interpreted: when we got into this, people in
> this organization viewed telcos as a big threat.  The world has *really* changed
> since then, no?
>
> Eliot
>

---

From: Paul Wouters <[email-masked]>
Date: Fri, 13 Dec 2019 09:21:43 -0500 (EST)

On Fri, 13 Dec 2019, Eliot Lear wrote:

> It concerns me that Paul Wouters can take from this document that somehow enterprises do not address end user interests.

Your take on what I wrote seems misinterpreted.

IETF protocols deliver protections within their protocols for end users
(or: end to end communication). Whereas the enterprise tries to take
some of that away to provide its own set of protections for their
subset of users (called customers or employees). My point was that
while both the end-to-end and customer/employees targets are valid,
the latter should not come at the expense of the former. The latter
(presumbly) voluntarilly opt-in for the replacement of protection
mechanisms. Therefor, the end-to-end principle of all users should
never be compromised for the betterment of a subset of users.

> The example I always give is that of a business who has a regulatory requirement to
> avoid leaking PII.  There are all sorts of toolsets that MITM communications in order to protect the privacy of account holders.  I think it would be useful for the draft to address this example as a bit of
> a case study.  One can reasonably argue that an explicit proxy mechanism on at least one side of a communication provides for this, but it begins to encroach on the so-called “end-to-end” views (I put that
> in quotes because the end-to-end model is often misused in these sorts of discussions).

The problem I see here, is that this business has the tools to do what
it wants to its subset of worldwilde users of a protocol to do what it
deems is best. But it should still not be at the expense of global
endusers as a group. Do not weaken the protocol for this use case.

That is the core of the argument I see returning at IETF, from TLS 1.3
to DoH and in the past with weake or backdoored crypto desires. I
think this document does a good job ob describing what I tried
to summarize from my viewpoint above and in my previous email.

Paul

---

From: Eliot Lear <[email-masked]>
Date: Fri, 13 Dec 2019 16:50:57 +0100

Hi Paul,

> On 13 Dec 2019, at 15:21, Paul Wouters <[email-masked]> wrote:
> 
> subset of users (called customers or employees).

You can also call them citizens, patients, students, scientists, soldiers, residents, motorists, passengers, first responders, etc.

> My point was that

You can say, “let’s target the individuals accessing the web”, but recognize that in itself is a subset of individuals.  Our works are used in ways we never considered by people we never heard of for purposes we never imagined.  I gave you but a small taste of examples of how that is the case.  To his credit, Mark has recognized these uses when he writes toward the end of Section 2:
   a person
   entering a room with sensors that send data to the Internet has
   interests that may be involved in our deliberations about how those
   sensor readings are handled.
   While such less-direct interactions between people and the Internet
   may be harder to evaluate, this document's concept of end-user
   nonetheless includes such people.
And here’s the kicker: we want those enterprises to use our protocol suites.  For one thing, they’re more likely to get it wrong if they don’t.  More code paths != better code, and some of that code sits in devices that can harm a great many individuals if they malfunction.  Conversely, a more shared understanding helps to advance the state of the art.  Much of what we do is highly esoteric.  How many people on this earth do you think fully understand CBOR or ASN.1?

> endusers as a group. Do not weaken the protocol for this use case.

In the aggregate of all of these use cases are global.  I am not suggesting that any of this is easy.  I don’t think the draft suggests that either.  But that’s why they pay the IAB the big bucks :-). I do think it means that we have to have a broader understanding of how all of this stuff fits together, and not just go on the war path when someone says they have a use case that you don’t have.  But that also means some understanding on their part as well, such that alternatives can be explored without a conflagration taking place.

I don’t know if Mark thought about it when he reprioritized architectural purity, but that statement can be taken to mean, “don’t just stick to something for because it looks nice that way” or “just because you didn’t arrange the building blocks in some particular way doesn’t mean others won’t.”  The web is one arrangement of those building blocks; a field area network connecting traffic lights is another.  If it fails, we end up in a scene from The Italian Job, only it’s ambulances and fire trucks not getting to move in that traffic jam.

Eliot

---

From: S Moonesamy <[email-masked]>
Date: Sat, 14 Dec 2019 07:22:27 -0800

Hi Mark,

There is the following in Section 3: "The IETF has focused on user 
needs since [RFC0001] ..."  That is like stating that the IETF has 
focused on user needs since 1969.  How could that be possible if the 
first IETF meeting was held in 1986?

Regards,
S. Moonesamy

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Sat, 14 Dec 2019 23:35:23 +0700

Dear Mark and architecture-discuss,

I missed to put you Mark Nottingham on the addrese as I sent a message to
architecture-discuss and others December 13th: it is about "focused-user
system", "positive user outcomes" and "creative impulses of users' and
architects' for evolutions". If it was inspiring...

Regard,
Guntur Wiseno Putra

Pada Senin, 18 November 2019, Mark Nottingham <[email-masked]> menulis:

> FYI; a fairly substantial update, based upon feedback. More feedback very
> welcome.
>
> Cheers,
>
>
> Begin forwarded message:
>
> *From: [email-masked]
> *Subject: **New Version Notification for draft-iab-for-the-users-01.txt*
> *Date: *18 November 2019 at 8:43:38 am GMT+8
> *To: *"Mark Nottingham" <[email-masked]>
>
>
> A new version of I-D, draft-iab-for-the-users-01.txt
> has been successfully submitted by Mark Nottingham and posted to the
> IETF repository.
>
> Name: draft-iab-for-the-users
> Revision: 01
> Title: The Internet is for End Users
> Document date: 2019-11-18
> Group: iab
> Pages: 11
> URL:            https://www.ietf.org/internet-drafts/draft-iab-
> for-the-users-01..txt
> <https://www.ietf.org/internet-drafts/draft-iab-for-the-users-01.txt>
> Status:         https://datatracker.ietf.org/doc/draft-iab-for-the-users/
> Htmlized:       https://tools.ietf.org/html/draft-iab-for-the-users-01
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-iab-
> for-the-users
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-iab-
> for-the-users-01
>
> Abstract:
>   This document explains why the IAB believes the IETF should consider
>   end users as its highest priority concern, and how that can be done.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>
> --
> Mark Nottingham   https://www.mnot.net/
>
>

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Sun, 15 Dec 2019 00:10:39 +0700

Dear S Moonesamy, Mark
& architecture-discuss,

Then should we say: "RFC 0001 is one of the historical references (or
guidances) used by IETF in considering user needs" or any other way more or
less similar...?

Regard,

Pada Sabtu, 14 Desember 2019, S Moonesamy <[email-masked]> menulis:

> Hi Mark,
>
> There is the following in Section 3: "The IETF has focused on user needs
> since [RFC0001] ..."  That is like stating that the IETF has focused on
> user needs since 1969.  How could that be possible if the first IETF
> meeting was held in 1986?
>
> Regards,
> S. Moonesamy
>
> _______________________________________________
> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss
>

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Sun, 15 Dec 2019 12:32:32 +0700

Dear S Moonesamy,
Mark &
architecture-discuss,

Would it be inspiring...?
In relation with RFC 0001 (1969), taking a look at what was more recent
than the RFC: Tim Berners-Lee (2002/2003) described how Internet works with
the Web which was from having ethernet cables to publishing RDF data then
identifying "hooks-identifiers" and "When the chain does NOT connect":

"The Internet works because of interoperability between different
computers, despite different hardware, operating systems, local language
context, and software supplier. Users of the web sign on to the use of
these languages when they use the Internet". (TBL, "Stack of
Specifications")

https://w3.org/DesignIssues/Stack.html

Regard,
Guntur Wiseno Putra

---

From: S Moonesamy <[email-masked]>
Date: Sun, 15 Dec 2019 05:14:00 -0800

Dear Guntur,
>Would it be inspiring...?

I would not describe inaccurate information as inspiring.

Regards,
S. Moonesamy

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Thu, 26 Dec 2019 12:54:40 +0700

Dear S. Moonsamy,

Apologize for days to respond your messages...

"Innacurate information"...?

Shall we take moments for such a "pedagogy of networks"...? -- as the
information above was about the networks of communications and
informations, about the Internet and the Web, released by the Web's
inventor himself...?

Regard;
Guntur Wiseno Putra

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Thu, 26 Dec 2019 14:03:42 +0700

Dear S. Moonsamy,

Shall we take moments for such a "pedagogy of networks"...? -- as the
information above was about the networks of communications and
informations, about the Internet and the Web, released by the Web's
inventor himself Tim Berners-Lee...?

To look at the two documents means a historical reading on the Internet's
history, its evolvabilities:

- The 1st RFC (1969) discussed about "tentative agreements reached and some
of opened questions" on ARPA networks, its softwares (IMP and Host ones)
--among which was a consideration on "users" (simple use and deep use).

- "The Stack of Specifications" (2002/2003, a section of "Design Issues:
Architectural and Philosophical Points") was a description, by the Web's
inventor himself, about how the Internet and the Web work together (having
an ethernet cables, sending an Internet packet, sending a TCP packet,
introducing IANA: port registry numbers, sending an e-mail, publishing a
web page, publishing a XML document, publishing a RDF document; then he
identified hooks--identifiers and problem "when the chain does not
connect").. of which he said that the Web users sign on languages (to name
the interoperavility of computers, hardwares, operating systems, local
language contexts, and software suppliers) when using the Internet.

- "What are about our present and future..."? is supposedly part of such a
historical reading...

Regard;
Guntur Wiseno Putra

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Thu, 26 Dec 2019 18:40:23 +0700

Dear architecture-discuss
(S. Moonesamy, Mark, Elliot and others having concerns on the discussion on
"End Users"),

How do initiatives become such creative impulse of Information and
Communication Technologies...? --network-based ones...? --as international
institutions are part of...?

Below are documents worked by international instutions may deserve
attentions:

FAO & ITU, 2016, "E-Agriculture Strategy Guide: Piloted in Asia-Pacific
Countries", 222 pages, accessed December 26th 2019

(Hopefully there would no problem when accesing the document as I have just
gotten it but fortunately I still have the copy.)

I finded the document, published by the Food and Agriculture Organization
and the International Telecommunication Union of the United Nations,
concerned with "an emerging field focusing on the enhancement of
agricultural and rural development through improved information and
communication processes

...    More specifically, e-agriculture involves the conceptualization,
design, development, evaluation
and application of innovative ways to use ICTs in the rural domain, with a
primary focus on
agriculture".

In "Annex B" there were examples of ICT innovations in agriculture and
rural development.

A page on "E-Agriculture" by the FAO is

http://www.fao.org/in-action/e-agriculture-strategy-guide/en/

Another is

The ITU of the UN report “Fast-forward Progress: Leveraging tech to achieve
the global goals” (https://www.itu.int/en/sustainable-world/Documents/
Fast-forward_progress_report_414709%20FINAL.pdf) about insights in using
ICTs to achieve the Sustainable Development Goals — as the 2030 Agenda for
Sustainable Development recognizes the possibilities of global connectivity
to spur humanity.

There are supposedly others...

Regard
Guntur Wiseno Putra

Pada Kamis, 26 Desember 2019, Guntur Wiseno Putra <[email-masked]>
menulis:

> - The 1st RFC (1969) discussed about "tentative agreements reached and
> some of opened questions" on ARPA networks, its softwares (IMP and Host
> ones) --among which was a consideration on "users" (simple use and deep
> use).
>

---

From: Guntur Wiseno Putra <[email-masked]>
Date: Fri, 27 Dec 2019 18:21:13 +0700

Dear architecture-discuss
(S. Moonesamy, Mark, Elliot, Brian and Others having concerns on "End
User"),

Those readings I mentioned in the previous message (on "E-Agriculture" and
"Leveraging Tech") remind me about another one, which was about
"Information Society", I ever suggested as a reference to Brian Carpenter's
& Bing Liu's "Limited Domains and Internet Protocols" with its
architectural programme.

This was sent to [email-masked] (April 16th 2019)

 "As the Internet continues to grow and diversify, with a realistic
   prospect of tens of billions of nodes being connected directly and
   indirectly, there is a noticeable trend towards local requirements,
   behaviours and semantics".

The first sentence of the Internet Draft "Limited Domains and Internet
Protocols" reminds me about what was said in the International
Telecommunication Union of the United Nations "Measuring Information
Society 2018" that more than half of the world's population is now online.

https://www.itu.int/en/ITU-D/Statistics/Pages/publications/misr2018.aspx

".

It was a report pointing out current state of ICTs, ICTs skill for the
future, ICTs revenue and investment trends, and ICTs price trends...

Regards,
Guntur Wiseno Putra

Pada Kamis, 26 Desember 2019, Guntur Wiseno Putra <[email-masked]>
menulis:

> (S. Moonesamy, Mark, Elliot and others having concerns on the discussion
> on "End Users"),
>
> (Hopefully there would no problem when accesing the document as I have
> just gotten it but fortunately I still have the copy.)
>
>
> The ITU of the UN report “Fast-forward Progress: Leveraging tech to
> achieve the global goals” (https://www.itu.int/en/sustai
> nable-world/Documents/Fast-forward_progress_report_414709%20FINAL.pdf)
> about insights in using ICTs to achieve the Sustainable Development Goals —
> as the 2030 Agenda for Sustainable Development recognizes the possibilities
> of global connectivity to spur humanity.
>
>> - "What are about our present and future..."? is supposedly part of such
>> a historical reading...
>>
>>
>> Regard;
>> Guntur Wiseno Putra
>>
>>
>>